﻿Imports System.Xml.XmlConvert
Imports System.Xml.Linq.XDocument

Public Class Form1

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click


        Dim ContactXML = <?xml version='1.0' encoding='utf-8'?>
                         <Contact>
                             <ContactPerson id='01'>
                                 <nama>Jerry Peter</nama>
                                 <email>jerry.peter@gmail.com</email>
                                 <blog>www.ruangkecil.or.id</blog>
                             </ContactPerson>
                             <ContactPerson id='02'>
                                 <nama>Jerry</nama>
                                 <email>jerry@gmail.com</email>
                                 <blog>www.jerry.com</blog>
                             </ContactPerson>
                             <ContactPerson id='03'>
                                 <nama>peter</nama>
                                 <email>peter@yahoo.com</email>
                                 <blog>www.peter.com</blog>
                             </ContactPerson>
                         </Contact>

        Dim LINQ = From nama In ContactXML...<nama> _
                   Select nama

        Dim hasil = "-- DATA PADA TAG NAMA --" & vbCrLf & vbCrLf
        For Each nama In LINQ
            hasil = hasil & nama.ToString & vbCrLf
        Next

        MsgBox(hasil)
    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click

        Dim contactXML = XDocument.Load(CurDir() & "\data.xml")

        Dim LINQ = From nama In contactXML...<ContactPerson> _
           Select nama

        Dim hasil = "-- DATA PADA TAG NAMA --" & vbCrLf & vbCrLf
        For Each nama In LINQ
            hasil = hasil & nama.ToString & vbCrLf
        Next

        MsgBox(hasil)
    End Sub

    Private Sub Button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button3.Click
        Dim oXML = <?xml version="1.0" encoding="utf-8"?>
                   <Jam>
                       <%= Now() %>
                   </Jam>

        My.Computer.FileSystem.WriteAllText("c:\first.xml", oXML.ToString, False)
        Process.Start("c:\first.xml")
    End Sub

    Private Sub Button4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button4.Click

        Dim oXML = <?xml version="1.0" encoding="utf-8"?>
                   <TaskManager>
                       <%= From p In System.Diagnostics.Process.GetProcesses _
                           Select <proses>
                                      <id><%= p.Id %></id>
                                      <nama><%= p.ProcessName %></nama>
                                      <memory><%= p.PagedMemorySize %></memory>
                                  </proses> %>
                   </TaskManager>

        My.Computer.FileSystem.WriteAllText("c:\proses.xml", oXML.ToString, False)
        Process.Start("c:\proses.xml")
    End Sub
End Class
