﻿
Public Class Form1

    Private Sub Button1_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button1.Click
        Dim kata() As String = {"Hello", "World", "Visual", "Studio", "LINQ"}

        Dim hasil = From item In kata _
                    Select item

        For Each k In hasil
            MsgBox(k)
        Next
    End Sub

    Private Sub Button2_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button2.Click
        Dim numbers() As Integer = {0, 1, 2, 3, 4, 5, 6}
        Dim Hasil = From num In numbers _
                         Where num Mod 2 = 0 _
                         Select num

        For Each number In Hasil
            MsgBox(number)
        Next
    End Sub

    Private Sub Button3_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button3.Click
        Dim Data() As Char = {"B", "D", "C", "A", "F", "E", "G"}
        Dim Hasil = From item In Data _
                    Order By item _
                    Select item

        For Each item In Hasil
            MsgBox(item)
        Next
    End Sub

    Private Sub Button4_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button4.Click
        Dim aHARI() As String = {"senin", "selasa", "rabu", "kamis", "jum’at", "sabtu", "minggu"}

        Dim LINQ = From item In aHARI _
                   Where Microsoft.VisualBasic.Left(item, 1) = "s" _
                   Select item

        Dim hasil = "HASIL QUERY" & vbCrLf
        For Each item In LINQ
            hasil = hasil & item & vbCrLf
        Next

        MsgBox(hasil)
    End Sub

    Private Sub Button5_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button5.Click
        Dim aKOTA As New ArrayList

        aKOTA.Add("Jakarta")
        aKOTA.Add("Bandung")
        aKOTA.Add("Malang")
        aKOTA.Add("Jambi")
        aKOTA.Add("Surabaya")
        aKOTA.Add("Medan")

        Dim LINQ = From item In aKOTA _
                   Where Microsoft.VisualBasic.Left(item, 1) = "J" _
                   Select item

        Dim hasil = "HASIL QUERY KOTA" & vbCrLf
        For Each item In LINQ
            hasil = hasil & item & vbCrLf
        Next

        MsgBox(hasil)




    End Sub

    Private Sub Button6_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button6.Click
        Dim oHashTable As New Hashtable
        oHashTable.Add(1, "Jerry")
        oHashTable.Add(2, "Peter")
        oHashTable.Add(3, "Visual")
        oHashTable.Add(4, "Studio")
        oHashTable.Add(5, "Hash")
        oHashTable.Add(6, "Table")
        oHashTable.Add(7, "LINQ")

        Dim LINQ = From item In oHashTable _
                   Where item.key > 3 _
                   Order By item.key _
                   Select item

        Dim HASIL = "HASIL QUERY HASHTABLE" & vbCrLf
        For Each item As DictionaryEntry In LINQ
            HASIL = HASIL & "KEY:" & item.Key & " VALUE:" & item.Value & vbCrLf
        Next

        MsgBox(HASIL)
    End Sub


    Private Sub Button7_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles Button7.Click
        Dim product1 As New product With {.ProductID = "01", _
                                          .Nama = "Obat batuk", _
                                          .Supplier = "SUPPLIER_A", _
                                          .HNA = 1000, _
                                          .HPP = 900}
        Dim product2 As New product With {.ProductID = "02", _
                                          .Nama = "Obat pusing", _
                                          .Supplier = "SUPPLIER_A", _
                                          .HNA = 1500, _
                                          .HPP = 1200}
        Dim product3 As New product With {.ProductID = "02", _
                                          .Nama = "Obat tidur", _
                                          .Supplier = "SUPPLIER_B", _
                                          .HNA = 2500, _
                                          .HPP = 2400}
        Dim aProduct As New ArrayList()
        aProduct.Add(product1)
        aProduct.Add(product2)
        aProduct.Add(product3)

        Dim LINQ = From item As product In aProduct _
                   Where item.HPP > 1000 _
                   Select item

        For Each item In LINQ
            MsgBox("Product ID  : " & item.ProductID & vbCrLf & _
                   "Nama product: " & item.Nama & vbCrLf & _
                   "HNA : " & item.HNA & vbCrLf & _
                   "HPP : " & item.HPP)
        Next


    End Sub
End Class
